<template>
  <main class="ResourceSkeleton">
    <PSkeleton class="ResourceSkeleton__Header p-field BorderSeparator" />
    <PSkeleton class="ResourceSkeleton__name p-field" />
    <PSkeleton class="ResourceSkeleton__description" />
    <PSkeleton class="ResourceSkeleton__dueDate p-field" />
  </main>
</template>
<style lang="scss" scoped>
@use 'src/style/variables' as v;

.ResourceSkeleton {
  padding: v.$spacing;

  &__Header {
    padding-bottom: v.$spacing;
    border-bottom: solid 1px silver;
  }

  &__name {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    gap: v.$spacing;
    align-items: flex-start;
    padding-bottom: v.$spacing;
    border-bottom: solid 1px silver;
  }

  &__description {
    margin: 1rem 0;
  }
}
</style>
